/*****************************************************************************
  FILE           : $Source: /usr/local/bv/SNNS/SNNSv4.1/kernel/sources/RCS/kr_pat_parse.h,v $
  SHORTNAME      : pat_parse
  SNNS VERSION   : 4.1

  PURPOSE        : parser for new pattern format; bison format 
  NOTES          : impossible to use with yacc

  AUTHOR         : Michael Vogt
  DATE           : 10.9.93

  CHANGED BY     : 
  IDENTIFICATION : $State: Exp $ $Locker:  $
  RCS VERSION    : $Revision: 2.4 $
  LAST CHANGE    : $Date: 1995/11/16 12:04:21 $

             Copyright (c) 1990-1995  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

#ifndef _KR_PAT_PARSE_DEFINED_
#define _KR_PAT_PARSE_DEFINED_

/* begin global definition section */

#define CURRENT_VERSION_V       3  /* current version of pattern file        */
#define CURRENT_VERSION_R       2  /* format                                 */

extern int parse_pattern_file();


extern int	no_of_input;
extern int	no_of_output;
extern int	no_of_pattern;

typedef float elem;
typedef elem *patron;
typedef patron *ctopatrones;

extern ctopatrones patin;
extern ctopatrones patout;

/* end global definition section */


#endif

